Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.jigl
Class ImageInputStream

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--jm.jigl.ImageInputStream

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class ImageInputStream
extends java.awt.Canvas

Class declaration

See Also:
  `jigl.image.ImageInputStream`, Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.io.BufferedInputStream` | `data` InputStream for the Data (Protected)
`protected java.awt.Image` | `img` Image that will be loaded (Protected)
`protected int` | `maxval` Maximum value (integer) of the Image (Protected)
`protected float` | `maxvalf` Maximum value (float) of the Image (Protected)
`protected int` | `ndims` Number of dimensions the image has (Protected)
`protected int` | `X` Width of the image (Protected)
`protected int` | `Y` Height of the image (Protected)

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ImageInputStream(ImageInputStream stream)` Makes a new ImageInputStream from another ImageInputStream
`ImageInputStream(java.lang.String fn)` Opens a ImageInputStream from a filename.
`ImageInputStream(java.lang.String url, int i)` Opens a ImageInputStream from a filename

Method Summary
`void` | `close()` Closes the InputStream
`int` | `ndims()` Returns the number of Dimensions that the image has
`Image` | `read()` Reads in the Image
`void` | `readHeader()` Reads the file header: determines type, size and range of values
`int` | `readMagic()` Gets the magic number and returns the type
`int` | `type()` Returns the type of image UNKNOWN = 0 PGM_ASCII = 1 PGM_ASCII = 2 PPM_ASCII = 3 PBM_RAW = 4 PGM_RAW = 5 PPM_RAW = 6 GIF = 7 -- not yet implemented JPEG = 8 -- not yet implemented TIFF = 9 -- not yet implemented JIGL_GRAY = 10 JIGL_COLOR = 11
`int` | `X()` Returns the width of the image
`int` | `Y()` Returns the height of the image

Methods inherited from class java.awt.Canvas
`addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, paint, update`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### data

    protected java.io.BufferedInputStream data

  InputStream for the Data (Protected)

### ndims

    protected int ndims

  Number of dimensions the image has (Protected)

### X

    protected int X

  Width of the image (Protected)

### Y

    protected int Y

  Height of the image (Protected)

### img

    protected java.awt.Image img

  Image that will be loaded (Protected)

### maxval

    protected int maxval

  Maximum value (integer) of the Image (Protected)

### maxvalf

    protected float maxvalf

  Maximum value (float) of the Image (Protected)

Constructor Detail

### ImageInputStream

    public ImageInputStream(java.lang.String fn)
                     throws java.lang.InterruptedException,
                            java.io.FileNotFoundException,
                            ImageNotSupportedException,
                            java.io.IOException

  Opens a ImageInputStream from a filename. Please note, GIF, JPG, and JPEG files are dependant on the filename extension (not on the header).

Parameters:
  `fn` - the filename to open

### ImageInputStream

    public ImageInputStream(java.lang.String url,
                            int i)
                     throws java.lang.InterruptedException,
                            java.io.IOException,
                            ImageNotSupportedException,
                            java.net.MalformedURLException

  Opens a ImageInputStream from a filename

### ImageInputStream

    public ImageInputStream(ImageInputStream stream)

  Makes a new ImageInputStream from another ImageInputStream

Method Detail

### ndims

    public int ndims()

  Returns the number of Dimensions that the image has

### X

    public int X()

  Returns the width of the image

### Y

    public int Y()

  Returns the height of the image

### type

    public int type()

  Returns the type of image
  UNKNOWN = 0
  PGM_ASCII = 1
  PGM_ASCII = 2
  PPM_ASCII = 3
  PBM_RAW = 4
  PGM_RAW = 5
  PPM_RAW = 6
  GIF = 7 -- not yet implemented
  JPEG = 8 -- not yet implemented
  TIFF = 9 -- not yet implemented
  JIGL_GRAY = 10
  JIGL_COLOR = 11

### close

    public void close()
               throws java.io.IOException

  Closes the InputStream

    `java.io.IOException`

### readMagic

    public int readMagic()
                  throws ImageNotSupportedException,
                         java.io.IOException

  Gets the magic number and returns the type

    `ImageNotSupportedException`
    `java.io.IOException`

### readHeader

    public void readHeader()
                    throws ImageNotSupportedException,
                           java.io.IOException

  Reads the file header: determines type, size and range of values

    `ImageNotSupportedException`
    `java.io.IOException`

### read

    public Image read()
               throws ImageNotSupportedException,
                      IllegalPBMFormatException,
                      java.io.IOException

  Reads in the Image

    `ImageNotSupportedException`
    `IllegalPBMFormatException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD